# README

This is an RSS aggregator designed to work as a cron job, and output an HTML file for display and an XML file for its own RSS feed. 

It is written in Perl and licensed under GPLv3.0.

# Requirements

The following CPAN modules need to be installed on your server:

* LWP::Simple
* LWP::Protocol::https
* XML::RSS; 
* HTML::Entities;

# Configuration

The file has three main areas of configuration. 

## The Feed

This area is for general information on the site and feed. 

* Title
* Webmaster email
* Description 
* home URL
* feed URL
* copyright 

There are two files you have to save, update these with the path of the folders on your server where they will be saved. Examples are given for CPanel type servers:

* Feed - /home/USER_NAME/public_html/feed.xml 
* HTML - /home/USER_NAME/public_html/index.xml

## The Site

This section is the HTML that will be saved as the file. You can use variables from the feed section to keep things simple and consistent. 

The variable $rssHTML is the output of the RSS aggregation. 

The variable $listHTML is a UL list of the URLs that were used to make the page. 

A sample is given in the file with a basic structure. 

Note: You _must_ include HTML_END at the end of the HTML section, and it _must_ be on its own line _without_ indention. 

Note: Any instance of @, % or $ will need to be escaped in this area if it is not intended to be a Perl variable. 

i.e. \@media in your CSS

## The Data

At the bottom of the file, under \_\_DATA\_\_, add your list of RSS feeds, one URL per line.  URL should be to the direct XML feed, not the website in general.

# Showcase

This was written to power the [Sunday Morning Horror News](http://sundaymorninghorrornews.com) site. 
